package healthtest

import (
	"context"

	"gitea.dwysokinski.me/twhelp/corev3/internal/health"
)

// Checker is a mock implementation of health.Checker.
type Checker struct {
	// Nam is later returned in the Name method
	Nam string
	// Err is later returned in the Check method
	Err error
}

var _ health.Checker = Checker{}

func (c Checker) Name() string {
	return c.Nam
}

func (c Checker) Check(_ context.Context) error {
	return c.Err
}
